<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<link type="text/css" href="../css/dtree.css" rel="stylesheet">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/map.js"></script>
<script type="text/javascript" src="../js/china-data.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript">
function urlflow_check()
{
	var devid = 0;
	var arr = [];

	devid = getdevice();	
	
	var appid = $("#hidappid").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'flowpielist', 
			devid: devid,
			appid:appid,
			starttime:starttime, 
			endtime:endtime, 
			errname:errname},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();
			
			if (json.yn && json.ys == "no") {
				alert(json.str);
				return;
			}
			
			$("#appgrouppie_up").show();
			$("#appgrouppie_down").show();
			$(".topapp-list-table").show();

			urlpie_pie(json);
			yysflow_graph(json, starttime, endtime, '运营商流量TOP图', 'appgrouppie_down');

			flowmap_check();
		}
	});
}

function urlflow_data_update(data, starttime, endtime, appid)
{
    var r, s;
    var len = data.yy_rows.length;
    var trobj = $(".topapp-list-table table tbody tr");
    var trlen = trobj.length;
    var tdobj;
    var href;
    var trbg = '';

    for (i = 0; i < len; i++) {
        r = data.yy_rows[i];

        trbg = '';
        if (i % 2 == 1)
            trbg = 'log-table-tr-toggle-bgcolor-curr';
			
		detail = '<a href="javascript:yys_detail(\''+starttime+'\', \''+ 
			endtime+'\', '+r.yys+', \''+r.cname+'\', '+appid+')">协议详细</a>';

        if (trobj.eq(i+1).length > 0){
            tdobj = trobj.eq(i+1).find("td");

            tdobj.eq(0).text(i+1);
            tdobj.eq(1).html(r.cname);
            tdobj.eq(2).html(numberformats(r.upbytes));
            tdobj.eq(3).text(numberformats(r.downbytes));
            tdobj.eq(4).text(numberformats(r.upbytes+ r.downbytes));
			tdobj.eq(5).html(detail);
        }else{
            s = '<tr class="'+trbg+'">' +
                '<td class="td-left-first">'+ (i+1)+'</td>'+
                '<td class="td-normal">'+ r.cname+'</td>'+
                '<td class="td-normal">'+ numberformats(r.upbytes)+'</td>'+
                '<td class="td-normal">'+ numberformats(r.downbytes)+'</td>'+
                '<td class="td-left-last">'+ numberformats(r.upbytes+r.downbytes)+'</td>'+
				'<td class="td-left-last">'+detail+'</td>'+
                '</tr>';
            $(s).appendTo(".topapp-list-table table tbody");
        }
    }
    for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

function yys_detail(starttime, endtime, yys, cname, appid)
{
	var left = (window.screen.width - 800) / 2;
	var height = window.screen.height - 150;

	if (appid == -1)
		appid = $("#hidappid").val();
	
	window.open("yys_detail.php?yys="+yys+"&starttime="+starttime+
		"&endtime="+endtime+"&cname="+cname+"&appid="+appid, "_blank", 
		"width=700px, height="+height+", left="+left);
}

function urlpie_pie(json)
{
    var option = {
        chart: {
            renderTo: 'appgrouppie_up',
            defaultSeriesType: 'pie',
			//backgroundColor: '#f5f5f5',
			//borderWidth: 1,
			borderColor:'#D3DCEB',
			borderRadius:4
        },
        title: {
		text: '运营商流量分布图',
		style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            categories: [],
            title: {
                text: null
            },
            labels:{
                rotation:-45,
                align:'right',
                style:{font:'normal 11px Verdana, sans-serif', fontWeight:'normal', color:'#000000'}
            }
        },
        yAxis: {
            min: 0,
            title: {
                text: 'byte'
            }
        },
        tooltip: {
            formatter: function() {
                return ''+
                    this.point.name +': '+ Highcharts.numberFormat(this.point.percentage, 1) + '%'
            }
        },
        plotOptions: {
            pie: {
                allowPointSelect: true,
                cursor: 'pointer',
                showInLegend: true,
                dataLabels: {
                    enabled: true,
					style:{fontSize:'9px', fontWeight:'normal'},
                    formatter: function() {
                        return this.point.name +': '+ Highcharts.numberFormat(this.point.percentage, 1) + '%';
                    },
					
                }
            }
        },
        legend: {
            enabled:false,
            layout: 'vertical',
            backgroundColor: '#FFFFFF',
            floating: true,
            align: 'left',
            verticalAlign: 'top',
            x: 425,
            y: 25,
            labelFormatter: function() {
                return this.name;
            }
        },
        credits: {
            enabled: false
        },
        series: [{type:'pie', data:[]}]
    };

    var c = 0;
    for (var i = 0; i < json.y.length; i++){
        if (c >= config.my_colors_def.length)
            c = 0;
        option.series[0].data.push({name:json.x[i], y:json.y[i]});
    }
    var chart = new Highcharts.Chart(option);
}

function yysflow_graph(json, starttime, endtime, title, render)
{
    var option = {
        chart: {
            renderTo: render,
            defaultSeriesType: "column",
			//backgroundColor: '#f5f5f5',
			//borderWidth: 1,
			borderColor:'#D3DCEB',
			borderRadius:4
        },
        title: {
            text: title,
		style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            categories: [],
            title: {
                text: null
            },
			style:{font: 'Arial', fontSize:'14px', color:'#000'},
            labels:{
                rotation:-45,
                align:'right',
                style:{font: 'Arial', fontSize:'14px', color:'#000'}
            }
        },
        yAxis: {
            min: 0,
            title: {
                text: 'byte'
            }
        },
        tooltip: {
            formatter: function() {
                return '<b>' + this.x + '</b><br/>' +
                    this.series.name + ': ' + numberformats(this.y) + '<br/>' +
                    'Total: ' + numberformats(this.point.stackTotal);
            }
        },
        plotOptions: {
            column: {
				stacking: 'normal',
                cursor:'pointer',
				point:{
                    events:{
                        click:function(){
							yys_detail(starttime, endtime, this.yys, this.category, -1);
                        }
                    }},
                dataLabels: {
                    enabled: false
                }
            }
        },
        legend: {
            enabled:true
        },
        credits: {
            enabled: false
        },
        series: []
    }

    var c = 0;
	var series = [{name:'上行流量', data:[]}, {name:"下行流量", data:[]}];
    for (var i = 0; i < json.yy_rows.length; i++){
        series[0].data.push({y:json.yy_rows[i].upbytes, yys: json.yy_rows[i].yys});
		series[1].data.push({y:json.yy_rows[i].downbytes, yys: json.yy_rows[i].yys});
    }
	option.series = series;

    option.xAxis.categories = json.x;
    var chart = new Highcharts.Chart(option);
}

function flowmap_check()
{
	var devid = 0;
	var arr = [];
	
	var appid = $("#hidappid").val();
	var yys = $("#yys").val();
	var start = $("#start").val();
	var end = $("#end").val();

	devid = getdevice();	

	var dt = new Date();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' '+dt.getHours()+':'+dt.getMinutes()+':59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'flow_maps', devid: devid, yys:yys,
			appid: appid, starttime:starttime, 
			endtime:endtime, errname:errname},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();
			if (json.yn && json.yn == "no") {
				alert(json.str);
				return;
			}
			flowmaps_update(json);
		}
	});
}

function flowmaps_update(json){
    // Initiate the chart
	$('#flowmap').html("");
	$('#flowmap').highcharts('Map', {
		chart:{
			//backgroundColor: '#f5f5f5',
			//borderWidth: 1,
			borderColor:'#D3DCEB',
			borderRadius:4
		},
        title : {
            text : '区域流量数据分布图',
		style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        mapNavigation: {
            enabled: true,
            buttonOptions: {
                verticalAlign: 'top'
            }
        },
		tooltip: {
            formatter: function() {
                return '<b>' + this.point.name + ': ' + numberformats(this.point.value)
            }
        },
        colorAxis: {
			min: 0,
			minColor: '#FFFFFF',
				maxColor: '#f5f5f5',
				stops: [
					[0, '#f5f5f5'],
					[1, '#ff0000']
				]
		},
		plotOptions:{
			series:{
				events:{
					click:function(e){
						area_detail(e.point.name);
					}
				}
			}
		},
		credits: {
				enabled: false
			},
        series : [{
            data : json.rows,
            mapData: Highcharts.maps['countries/china'],
            joinBy: 'hc-key',
            name: '流量统计',
            states: {
                hover: {
                    color: '#BADA55'
                }
            },
            dataLabels: {
                enabled: true,
                format: '{point.name}'
            }
        }]
    });
}

function area_detail(areaname)
{
	var left = (window.screen.width - 800) / 2;
	var height = window.screen.height - 150;
	
	var appid = $("#hidappid").val();
	var start = $("#start").val();
	var end = $("#end").val();

	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';
	
	window.open("area_detail.php?areaname="+areaname+"&starttime="+
		starttime+"&endtime="+endtime+"&appid="+appid, "_blank", 
		"width=700px, height="+height+", left="+left);
}

function showapptree()
{
	if ($('#showapptree_win').length > 0){
		$('#showapptree_win').show();
		$('#showapptree_win').css('z-index', config.zindex++);
		return false;
	}

	$("<div id='showapptree_win'></div>").appendTo("body");

	$('#showapptree_win').load('../user_behavior/treepanel.php', function(){
		setWinpos("showapptree_win", 400, 600, "showapptree_con");

		$('#showapptree_win').css('z-index', config.zindex++);

		createtree();

		$("#checkapp").focus();
	});
}
var trees;
function ajaxcheckapp()
{
	var appid = $("#checkapp").val();

	if (appid == ""){
		$("#checklist").html("");
		return false;
	}

	$.post("../user_behavior/checkapp.php", {appid:appid}, function(data){
		var res, r, hl = "";
		eval("res="+data);

		for (var i = 0; i < res.result.length; i++){
			r = res.result[i];
			hl += "&nbsp;&nbsp;<a href='javascript:appselect("+r.id+", \""+r.name+"\", \""+r.cname+"\")'>"+r.cname+"</a><br>";
		}

		$("#checklist").html(hl);
	});
}

function appselect(appid, name, cname)
{
	$("#hidappid").val(appid);
	$("#appcname").val(cname);

	$('#showapptree_win').hide();
}
</script>
</head>
<body>
<div class="outer">
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label>协议</label>
				<input type="text" id="appcname" value="任意" style="width:100px" readonly />
				<input type="hidden" value="-1" id="hidappid" />
				<input type="button" value="选择协议" onclick="showapptree()" />
			</li>
			<li>
				<label>运营商</label>
				<select id="yys" style="width:150px;">
					<option value="-1">选择运营商</option>
<?php
$yyss = getyys();
foreach($yyss as $val) {
	echo '<option value="'.$val["id"].'">'.$val["name"].'</option>';
}
?>
				</select>
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 86400;
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
			</li>
			<li>
				<a class="btn-extend-color" onclick="urlflow_check()">查询</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div id="flowmap" style="float:left;width:60%;height:630px; margin-top:10px;"></div>
	<div id="appgrouppie_up" style="float:left;width:40%;height:310px; margin-top:10px;"></div>
	<div id="appgrouppie_down" style="float:left;width:40%;height:310px"></div>
</div>
<script type="text/javascript">
Highcharts.setOptions({ global: { useUTC: false } });
showdevicetree();
</script>
</body>
</html>
