<?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/map.js"></script>
<script type="text/javascript" src="../js/china-data.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/macarons.js"></script>
<script type="text/javascript">
Highcharts.setOptions({ global: { useUTC: false } });

function ipevent_check()
{
	var ipaddr = $("#ipaddr").val();
	var account = $("#account").val();
	var start = $("#start").val();
	var end = $("#end").val();

	var dt = new Date();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' '+dt.getHours()+':59:59';
	
	if (ipaddr == "" && account == "") {
		layer.msg("请输入要查询的IP地址或用户账号");
		return false;
	}
	
	$(".ipstat-outer").show();

	iparea_check(ipaddr, account, starttime, endtime)
}

function ipapp_check(sorttype)
{
	var devid = getdevice();
	var ipaddr = $("#ipaddr").val();
	var account = $("#account").val();
	var start = $("#start").val();
	var end = $("#end").val();

	var dt = new Date();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' '+dt.getHours()+':59:59';
	
	if (ipaddr == "" && account == "") {
		alert("请输入正确的用户IP地址或者用户账号");
		return false;
	}
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);
	
	var x = [], y=[], z = [];

	$.ajax({
		url:'../Flow/ipapplist.php',
		data:{
			ip:ipaddr, 
			account:account,
			tmstart:starttime, 
			appid: -1, 
			tmend:endtime, 
			errname:errname, 
			sort:sorttype, 
			devid: devid
		},
		type:'get',
		dataType:'json',
		success:function(json){
			cluster_load_hide();
			for(i = 0; i < json.rows.length; i++) {
				if (i >= 20) break;
				r = json.rows[i];
				x.push(r.cname);
				y.push((r.upbytes + r.downbytes));
				z.push(r.flowcnt);
			}
			ipapp_graph('ipappinfo', x, y, z);
			iptrend_check(ipaddr, account, starttime, endtime);
		}
	});
}

function ipapp_graph(render, x, y, z)
{
	var option = {
		chart: {
			renderTo: render,
			zoomType: 'xy',
			defaultSeriesType: "column",
			//backgroundColor: '#293038',
			//borderWidth: 1,
			borderColor:'#D3DCEB',
			borderRadius:4
		},
		title: {
			text: "用户访问协议流量排名",
			style:{fontSize:'12px', fontWeight:'bold', color:'#666'}
		},
		subtitle: {
			text: null
		},
		xAxis: {
			categories: [],
			crosshair: true,
			title: {
				text: null
			},
			labels:{
				rotation:-45,
				align:'right',
				style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
			}
		},
		yAxis: [{
			min: 0,
			title: {
				text: 'Byte'
			},
		},{
			min: 0,
			title: {
				text: '连接数',
				style: {
					color: '#E6561C'
				}
			},
			labels: {
				format: '{value}',
				style: {
					color: Highcharts.getOptions().colors[0]
				}
			},
			opposite: true
		}],
		tooltip: {
			shared: true
		},
		plotOptions: {
			size:'90%',
			column: {
				cursor:'pointer',
				dataLabels: {
					enabled: false
				}
			}
		},
		legend: {
			enabled:false
		},
		credits: {
			enabled: false
		},
		series: [
		{name:"流量", data:[], yAxis: 0}, 
		{name:"连接数", data:[], color:'#E6561C', type:'spline', yAxis: 1}
		]
	}

	option.series[0].data = y;
	option.series[1].data = z;
	option.xAxis.categories = x;
	var chart = new Highcharts.Chart(option);
}

function ipapp_check_ext(sorttype)
{
	var devid = getdevice();
	var ipaddr = $("#ipaddr").val();
	var start = $("#start").val();
	var end = $("#end").val();

	var dt = new Date();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' '+dt.getHours()+':59:59';
	
	if (ipaddr == "") {
		alert("请输入正确的用户IP地址");
		return false;
	}
	
	load_show();
	
	var errname = (new Date()).getTime()+'.st';
	get_status(errname);
	
	var x = [], y=[], z = [];

	$.ajax({
		url:'../Flow/ipapplist.php',
		data:{ip:ipaddr, tmstart:starttime, appid: 0, 
			tmend:endtime, errname:errname, type:sorttype,
			devid: devid},
		type:'post',
		dataType:'json',
		success:function(json){
			for(i = 0; i < json.rows.length; i++) {
				//if (i >= 10) break;
				
				r = json.rows[i];
				
				x.push(r.cname);
				y.push((r.upbytes + r.downbytes));
				z.push(r.flowcnt);
			}
			ipapp_graph('ipappinfo', x, y, z);
			
			load_hide();
		}
	});
}


function iptrend_check(ipaddr, account, starttime, endtime)
{
	var devid = getdevice();
	var ipaddr = ipaddr;
	var qqnumber = "";
	var topn = 50;
	
	iptrend_getdata(devid, ipaddr, account, 'up', starttime, endtime);
}

function iptrend_getdata(devid, ipaddr, account, sort, starttime, endtime)
{
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);
	
	$.ajax({
		url:'../Flow/iptrend.php',
		data:{
			ip:ipaddr, 
			account:account,
			tmstart:starttime, 
			tmend:endtime, 
			errname:errname, 
			sort:sort, 
			devid: devid
		},
		type:'get',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();
			
			$("#iptrendup, #iptrenddown, #iptrendflow").show();
			iptrend(json, "bpsdown", "iptrenddown");
			iptrend(json.result_flow, "bpsflow", "iptrendflow");

			qq_check(ipaddr, account, starttime, endtime);
		}
	});
}
		
function iptrend(jsondata, chartype, render)
{
	var units = 'bits/s';
	var titles = "用户访问流量趋势图";
	if (chartype == "bpsflow"){
		units = '连接数#';
		titles = "用户访问连接数趋势图";
	}

	var options = {
		chart:{
			renderTo:render,
			defaultSeriesType:'area',
			//backgroundColor: '#f5f5f5',
			//borderWidth: 1,
			borderColor:'#D3DCEB',
			borderRadius:4
		},title:{
			text: titles,
			style:{fontSize:'12px', fontWeight:'bold', color:'#666'}
		},xAxis:{
			type:'datetime',
			tickPixelInterval:60,
			labels:{
				rotation:-45,
				align:'right',
				style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
			}
		},yAxis:{
			min:0,
			tickPixelInterval:30,
			title:{
				text:units
			},labels:{formatter:function(){
				return numberformats(parseInt(this.value));
			}
			},
			plotLines:[{value:0,width:1}]
		},legend:{enabled:true,verticalAlign:'bottom',y:10,lineHeight:5,itemStyle:{color:'black'}
		},plotOptions:{
			spline:{
				marker:{radius:0,
					lineWidth:1
				}
			},
			area:{stacking:'normal', size:[200,50],lineWidth:1,marker:{enabled:false}}
		},credits:{enabled:false},
		tooltip:{
			formatter:function(){
				var dd = new Date(this.x);
				var str = dd.getHours()+':'+dd.getMinutes();
				return this.series.name+'<br/>'+str+' '+numberformats(this.y);
			}
		},series:[]
	}
	
	var data = [];
	if (chartype == "bpsdown") {
		data.push(jsondata.result_up[0]);
		data.push(jsondata.result_down[0]);
		options.series = data;
		//options.series[1].color = '#4EB133';
		options.series[0].name = '上行速率';
		options.series[1].name = '下行速率';
	}else {
		options.series = jsondata;
		options.series[0].name = '连接数';
	}
	new Highcharts.Chart(options);
}

var _vir_json = [];
function qq_check(ipaddr, account, starttime, endtime)
{
	var devid = getdevice();
	var ipaddr = ipaddr;
	var qqnumber = "";
	var topn = 50;
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);
	
	var qq = [];
	
	//$("#qqlist").html("");

	// var s = '<div style="font-weight:bold; font-size:12px; color:#666; text-align:center; padding:5px 0">用户虚拟身份</div>';
	//s += '<table style="width:100%;border:1px solid #ddd; border-collapse:collapse;margin-top:15px;" border=1 bordercolor="#ddd">'+
	//	'<tr><th align="center" width="150px">身份类型</th><th align="center">值</th></tr></table>';
	//$(s).appendTo("#qqlist");

	$.ajax({
		url:'../user_behavior/user_handle.php',
		data:{type:'ipid', devid:devid,
			ipaddr:ipaddr, qqnumber:qqnumber,
			starttime:starttime, endtime:endtime, 
			errname:errname, topn:topn, bexport:0, 
			eventtype:'QQ', account:account},
		type:'post',
		dataType:'json',
		success:function(json){
			cluster_load_hide();

			_vir_json.length = 0;
			for(i = 0; i < json.rows.length; i++) {
				//s = '<tr><td width="150px" align="center">QQ号码</td><td align="center">'+json.rows[i]+'</td></tr>';
				//$(s).appendTo("#qqlist table tbody");

				_vir_json.push({name:'QQ号码'+(i+1), value:json.rows[i], suffix:''});
			}
			virgraph();
			
			pop3_check(ipaddr, account, starttime, endtime);
		}
	});
}

function virgraph()
{	
	var option = {
    		backgroundColor: '#fff',
    		tooltip: {},
    		animationDurationUpdate: function(idx) {
        	// 越往后的数据延迟越大
        		return idx * 100;
    		},
    		animationEasingUpdate: 'bounceIn',
    		color: ['#2e8ae3', 'blue', 'green'],
    		series: [{
        		type: 'graph',
        		layout: 'force',
        		force: {
            			repulsion: 200,
            			edgeLength: 15
        		},
        		roam: true,
        		label: {
            			show: true,
            			fontSize: 14,
            			formatter: function(d) {
                			console.log(d)
                			var data = d.data;
                			return data.name + '\n' + data.value + data.suffix
            			}
        		},
        		symbolSize: 100,
        		data: _vir_json
    		}]
	}

	var dom = document.getElementById("qqlist");
	var myChart = echarts.init(dom, '');
	myChart.setOption(option, true);
}

function pop3_check(ipaddr, account, starttime, endtime)
{
	var devid = getdevice();
	//var account = "";
	var ipaddr = ipaddr;
	var qqnumber = "";
	var topn = 50;
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	var pop3 = [];
	
	$.ajax({
		url:'../user_behavior/user_handle.php',
		data:{type:'ipid', devid:devid, account:account, 
			ipaddr:ipaddr, qqnumber:qqnumber,
			starttime:starttime, endtime:endtime, 
			errname:errname, topn:topn, bexport:0, 
			eventtype:'pop3login'},
		type:'post',
		dataType:'json',
		success:function(json){
			cluster_load_hide();

			for(i = 0; i < json.rows.length; i++) {
				//s = '<tr><td width="150px" align="center">POP3邮箱</td><td align="center">'+json.rows[i]+'</td></tr>';
				//$(s).appendTo("#qqlist table tbody");
				
				_vir_json.push({name:'邮箱'+(i+1), value:json.rows[i], suffix:''});
			}

			virgraph();

			taobao_check(ipaddr, account, starttime, endtime);
		}
	});
}

function taobao_check(ipaddr, account, starttime, endtime)
{
	var devid = getdevice();
	//var account = "";
	var ipaddr = ipaddr;
	var qqnumber = "";
	var topn = 50;
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	var taobao = [];
	
	$.ajax({
		url:'../user_behavior/user_handle.php',
		data:{type:'ipid', devid:devid, account:account, 
			ipaddr:ipaddr, qqnumber:qqnumber,
			starttime:starttime, endtime:endtime, 
			errname:errname, topn:topn, bexport:0, 
			eventtype:'TAOBAOACC'},
		type:'post',
		dataType:'json',
		success:function(json){
			cluster_load_hide();

			for(i = 0; i < json.rows.length; i++) {
				//s = '<tr><td width="150px" align="center">淘宝账号</td>'+ '<td align="center">'+json.rows[i]+'</td></tr>';
				//$(s).appendTo("#qqlist table tbody");
				_vir_json.push({name:'淘宝'+(i+1), value:json.rows[i], suffix:''});
			}

			virgraph();
						
			wxuin_check(ipaddr, account, starttime, endtime);
		}
	});
}

function wxuin_check(ipaddr, account, starttime, endtime)
{
	var devid = getdevice();
	var wxuid = '';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'user_handle.php',
		data:{type:"wxuin_check", 
			ipaddr:ipaddr, 
			account:account,
			wxuid:wxuid, 
			page:1, 
			limit:20, 
			starttime:starttime, 
			endtime:endtime, 
			errname:errname,
			devid: devid
		},
		type:'post',
		dataType:'json',
		success:function(json){
			cluster_load_hide();

			for(i = 0; i < json.rows.length; i++) {
				ys = 0;
				for (j = 0; j < i; j++) {
					if (json.rows[j].uid == json.rows[i].uid) {
						ys = 1;
						break;
					}
				}
				if (ys == 1)
					continue;

				_vir_json.push({name:'微信'+(i+1), value:json.rows[i].uid, suffix:''});
				
				//s = '<tr><td width="150px" align="center">微信ID</td><td align="center">'+json.rows[i].uid+'</td></tr>';
				//$(s).appendTo("#qqlist table tbody");
			}

			virgraph();
			
			host_check(ipaddr, account, starttime, endtime);
		}
	});
}

function top_graph(render, name, ytext, x, y, title)
{
	var option = {
		chart: {
			renderTo: render,
			zoomType: 'xy',
			defaultSeriesType: "column",
			//backgroundColor: '#f5f5f5',
			//borderWidth: 1,
			borderColor:'#D3DCEB',
			borderRadius:4
		},
		title: {
			text: title,
			style:{fontSize:'12px', fontWeight:'bold', color:'#666'}
		},
		subtitle: {
			text: null
		},
		xAxis: {
			categories: [],
			crosshair: true,
			title: {
				text: null
			},
			labels:{
				rotation:-45,
				align:'right',
				style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
			}
		},
		yAxis: {
			min: 0,
			title: {
				text: ytext
			},
		},
		tooltip: {
			shared: true
		},
		plotOptions: {
			size:'90%',
			column: {
				cursor:'pointer',
				dataLabels: {
					enabled: false
				}
			}
		},
		legend: {
			enabled:false
		},
		credits: {
			enabled: false
		},
		series: [{name:name, data:[]}]
	}

	option.series[0].data = y;
	option.xAxis.categories = x;
	var chart = new Highcharts.Chart(option);
}

function host_check(ipaddr, account, starttime, endtime)
{
	var devid = getdevice();
	//var account = "";
	var ipaddr = ipaddr;
	var qqnumber = "";
	var topn = 10;
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);
	
	var x = [], y = [];
	var tlt = "用户访问域名次数排名";

	$.ajax({
		url:'../user_behavior/user_handle.php',
		data:{
			type:'host_check', 
			devid: devid, 
			ipaddr:ipaddr, 
			account:account,
			page: 1, 
			sort: 'num',
			limit: 20, 
			starttime:starttime, 
			endtime:endtime, 
			errname:errname
		},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();
			
			for(i = 0; i < json.rows.length; i++) {
				if (i >= 30) break;
				
				r = json.rows[i];
				
				x.push(r.host);
				y.push(parseInt(r.num));
			}
			top_graph('hostlist', "HOST访问量", "访问量", x, y, tlt);
		}
	});
}

function iparea_update(json)
{
	// Initiate the chart
	$('#iparea_maps').html("");
	$('#iparea_maps').highcharts('Map', {
		chart:{
			//backgroundColor: '#f5f5f5',
			//borderWidth: 1,
			borderColor:'#D3DCEB',
			borderRadius:4
		},
		title : {
			text : '来访用户流量分布图',
			style:{fontSize:'12px', fontWeight:'bold', color:'#666'}
		},
		mapNavigation: {
			enabled: false,
			buttonOptions: {
				verticalAlign: 'top'
			}
		},
		colorAxis: {
			min: 0,
			minColor: '#FFFFFF',
				maxColor: '#f5f5f5',
				stops: [
					[0, '#f5f5f5'],
					[1, '#ff0000']
				]
		},
		credits: {
				enabled: false
			},
		plotOptions:{
			series:{
				events:{
					click:function(e){
						url_detail(e.point.name);
					}
				}
			}
		},
		tooltip: {
			formatter: function() {
				return ''+
					this.point.name +': '+ numberformats(this.point.value);
			}
		},
		series : [{
			data : json.rows,
			mapData: Highcharts.maps['countries/china'],
			joinBy: 'hc-key',
			name: '流量',
			states: {
				hover: {
					color: '#BADA55'
				}
			},
			dataLabels: {
				enabled: true,
				format: '{point.name}'
			}
		}]
	});
}

function iparea_check(ipaddr, account, starttime, endtime)
{
	var devid = getdevice();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../user_behavior/user_handle.php',
		data:{
			type:'iparea_check', 
			devid: devid, 
			ipaddr: ipaddr, 
			account:account,
			starttime:starttime, 
			endtime:endtime, 
			errname:errname
		},
		type:'post',
		dataType:'json',
		success:function(json){
			cluster_load_hide();
			iparea_update(json);
			useryysflow(ipaddr, account, starttime, endtime);
		}
	});
}

function useryysflow(ipaddr, account, starttime, endtime)
{
	var devid = getdevice();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../user_behavior/user_handle.php',
		data:{
			type:'useryysflow', 
			devid: devid, 
			ipaddr: ipaddr, 
			account:account,
			starttime:starttime, 
			endtime:endtime, 
			errname:errname
		},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();
			useryysflow_pie(json, "useryysflow", "运营商流量分布图");
			useryysflow_pie(json, "useryysflow2", "运营商连接数分布图");
			
			ipapp_check("total");
		}
	});
}

function useryysflow_pie(json, render, title)
{
    var option = {
        chart: {
            renderTo: render,
            defaultSeriesType: 'pie',
			borderColor:'#D3DCEB',
			borderRadius:4
        },
        title: {
            text: title,
		style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            categories: [],
            title: {
                text: null
            },
            labels:{
                rotation:-45,
                align:'right',
                style:{font:'normal 11px Verdana, sans-serif', fontWeight:'normal', color:'#000000'}
            }
        },
        yAxis: {
            min: 0,
            title: {
                text: 'byte'
            }
        },
        tooltip: {
            formatter: function() {
                return ''+
                    this.point.name +': '+ Highcharts.numberFormat(this.point.percentage, 1) + '%'
            }
        },
        plotOptions: {
            pie: {
			size:'70%',
                allowPointSelect: true,
                cursor: 'pointer',
                showInLegend: true,
                dataLabels: {
                    enabled: true,
					style:{fontSize:'12px', fontWeight:'normal'},
                    formatter: function() {
                        return this.point.name +': '+ Highcharts.numberFormat(this.point.percentage, 1) + '%';
                    },
                },
				point:{
                    events:{
                        click:function(){
                        }
                    }},
            }
        },
        legend: {
            enabled:false,
            layout: 'vertical',
            backgroundColor: '#FFFFFF',
            floating: true,
            align: 'left',
            verticalAlign: 'top',
            x: 425,
            y: 25,
            labelFormatter: function() {
                return this.name;
            }
        },
        credits: {
            enabled: false
        },
        series: [{type:'pie', data:[]}]
    };

    var c = 0;
    for (var i = 0; i < json.y.length; i++) {
        if (c >= config.my_colors_def.length)
            c = 0;
		if (render == "useryysflow2")
			option.series[0].data.push({name:json.x[i], y:json.fl[i], yys: i});
		else
			option.series[0].data.push({name:json.x[i], y:json.y[i], yys: i});
    }
    var chart = new Highcharts.Chart(option);
}

</script>
<style type="text/css">
.event {float:left; height:300px;}
</style>
</head>
<body>
<div>
	<div class="check-form">
		<ul>
			<li>
					<?php
					echo getdevice();
					?>
			<li>
			<li>
				<label>用户账号</label>
				<input type="text" id="account" value="" style="width:150px;" />
			<li>
			<li>
				<label>IP地址</label>
<?php
$ip = isset($_GET["ip"]) ? $_GET["ip"] : "";
?>
				<input type="text" id="ipaddr" value="<?=$ip?>" style="width:150px;" />
			<li>
			<li>
				<?php
				$t = strtotime("now") - 86400;
				?>
				<label for="start">起始时间</label>
				<input type="text" name="start" id="start" style="width:80px;" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
			</li>
			<li>
				<label for="end">结束时间</label>
				<input type="text" name="end" id="end" style="width:80px;" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
			</li>
			<li>
				<input type="button" value="查询" onclick="ipevent_check()" class="btn-extend-color" />
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="ipstat-outer" style="width:100%;position:relative;margin-top:5px;display:none;">
		<div class="event event-pad" id="iparea_maps" style="width:33.3%;height:300px;"></div>
		<div class="event event-pad" id="useryysflow" style="width:33.3%; height:300px"></div>
		<div class="event event-pad" id="useryysflow2" style="width:33.3%; height:300px;"></div>
		<div class="event" id="ipappinfo" style="width:33.3%;margin-top:5px;"></div>
		<div class="event" id="iptrenddown" style="width:33.3%;margin-top:5px;"></div>
		<div class="event" id="iptrendflow" style="width:33.3%;margin-top:5px;"></div>
		<div class="event event-pad" id="hostlist" style="width:33.3%;margin-top:5px;"></div>
		<div class="event event-pad" id="qqlist" style="width:33.3%; overflow:auto;background:#fff;margin-top:5px;"></div>
	</div>
</div>
<script>
layui.use(['laypage', 'layer'], function(){
	var laypage = layui.laypage, layer= layui.layer;
	ipevent_check();
})
showdevicetree();
</script>
</body>
</html>
